## kdepim-addons 25.11.90

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.90")

project(kdepim-addons VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "6.18.0")
set(QT_REQUIRED_VERSION "6.8.0")
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/
    ${ECM_MODULE_PATH}
)
# Do NOT add quote
set(KDEPIM_DEV_VERSION rc)

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIMADDONS_VERSION_NUMBER ${PIM_VERSION})
set(KDEPIMADDONS_VERSION "${KDEPIMADDONS_VERSION_NUMBER}${KDEPIM_DEV_VERSION}")

set(KDEPIMADDONS_LIB_VERSION "${KDEPIMADDONS_VERSION_NUMBER}")
set(KDEPIMADDONS_LIB_SOVERSION "6")

include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(KDEGitCommitHooks)
include(KDEClangFormat)
file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    examples/*.cpp
    examples/*.h
    examples/*.c
    kmailtransport/*.cpp
    kmailtransport/*.h
    kmailtransport/*.c
    plugins/*.cpp
    plugins/*.h
    plugins/*.c
    sieveeditor/*.cpp
    sieveeditor/*.h
    sieveeditor/*.c
    akonadi-import-wizard/*.cpp
    akonadi-import-wizard/*.h
    akonadi-import-wizard/*.c
    kaddressbook/*.cpp
    kaddressbook/*.h
    kaddressbook/*.c
    kmail/*.cpp
    kmail/*.h
    kmail/*.c
    korganizer/*.cpp
    korganizer/*.h
    korganizer/*.c
    kldap/*.cpp
    kldap/*.h
)

kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
set(KTEXTADDONS_MIN_VERSION "1.8.0")
set(KTEXTADDONS_WITH_TEXTAUTOGENERATETEXT_VERSION "1.8.0")
include_directories(${CMAKE_CURRENT_BINARY_DIR})


option(
    KDEPIM_ENTERPRISE_BUILD
    "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client."
    FALSE
)

option(
    OPTION_ADD_AUTOGENERATETEXT
    "Add support for autogenerate text plugin"
    ON
)

find_package(
    Qt6
    ${QT_REQUIRED_VERSION}
    CONFIG
    REQUIRED WebEngineWidgets Widgets Test
)

find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ConfigWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ColorScheme ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Declarative ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6SyntaxHighlighting ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Parts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Prison ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Holidays ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6GuiAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ColorScheme ${KF_MIN_VERSION} CONFIG REQUIRED)
if(NOT WIN32)
    find_package(KF6KCMUtils ${KF_MIN_VERSION} CONFIG REQUIRED)
endif()

set(MAILCOMMON_LIB_VERSION "6.5.90")
set(GRAVATAR_LIB_VERSION "6.5.90")
set(PIMCOMMON_LIB_VERSION "6.5.90")
set(GRANTLEETHEME_LIB_VERSION "6.5.90")
set(CALENDARSUPPORT_LIB_VERSION "6.5.90")
set(LIBKDEPIM_LIB_VERSION "6.5.90")
set(KADDRESSBOOK_IMPORTEXPORT_LIB_VERSION "6.5.90")
set(LIBKLEO_LIB_VERSION "6.5.90")
set(AKONADI_LIB_VERSION "6.5.90")
set(INCIDENCEEDITOR_LIB_VERSION "6.5.90")
set(KTNEF_LIB_VERSION "6.5.90")
set(MESSAGELIB_LIB_VERSION "6.5.90")
set(AKONADICALENDAR_LIB_VERSION "6.5.90")
set(CALENDAR_UTILS_VERSION "6.5.90")
set(KPIMTEXTEDIT_LIB_VERSION "6.5.90")
set(KIMAP_LIB_VERSION "6.5.90")
set(LIBKSIEVE_LIB_VERSION "6.5.90")
set(KMAILTRANSPORT_LIB_VERSION "6.5.90")
set(AKONADICONTACT_LIB_VERSION "6.5.90")
set(IMPORTWIZARD_LIB_VERSION "6.5.90")
set(MAILIMPORTER_LIB_VERSION "6.5.90")
set(KPIMPKPASS_LIB_VERSION "6.5.90")
set(KPIMITINERARY_LIB_VERSION "6.5.90")
set(KPIM_MIME_VERSION "6.5.90")
set(KLDAP_LIB_VERSION "6.5.90")

find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6CalendarUtils ${CALENDAR_UTILS_VERSION} CONFIG REQUIRED)
find_package(KPim6WebEngineViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6TemplateParser ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailCommon ${MAILCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(
    KPim6AddressbookImportExport
    ${KADDRESSBOOK_IMPORTEXPORT_LIB_VERSION}
    CONFIG
    REQUIRED
)
find_package(KPim6Libkleo ${LIBKLEO_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6GrantleeTheme ${GRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonActivities ${PIMCOMMON_LIB_VERSION} CONFIG)
find_package(KF6TextGrammarCheck ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextTranslator ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextUtils ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(
    KPim6IncidenceEditor
    ${INCIDENCEEDITOR_LIB_VERSION}
    CONFIG
    REQUIRED
)
find_package(KPim6MessageCore ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageComposer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MessageList ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
find_package(
    KPim6CalendarSupport
    ${CALENDARSUPPORT_LIB_VERSION}
    CONFIG
    REQUIRED
)
find_package(KPim6Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
find_package(
    KPim6AkonadiCalendar
    ${AKONADICALENDAR_LIB_VERSION}
    CONFIG
    REQUIRED
)
find_package(KPim6Gravatar ${GRAVATAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6TextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
find_package(
    KPim6IdentityManagementCore
    ${KIDENTITYMANAGEMENT_LIB_VERSION}
    CONFIG
    REQUIRED
)
find_package(KPim6IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6KSieveUi ${LIBKSIEVE_LIB_VERSION} CONFIG REQUIRED)
find_package(KF6TextCustomEditor ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)

if(OPTION_ADD_AUTOGENERATETEXT)
    find_package(
        KF6TextAutoGenerateText
        ${KTEXTADDONS_WITH_TEXTAUTOGENERATETEXT_VERSION}
        CONFIG
    )
    set_package_properties(
        KF6TextAutoGenerateText
        PROPERTIES
            TYPE OPTIONAL
            PURPOSE "Required for building AI plugins support"
            DESCRIPTION "Use AI plugin"
    )

    if(${KF6TextAutoGenerateText_VERSION} VERSION_GREATER_EQUAL 1.8.69)
        set(HAVE_NEW_TOOLS_PLUGINS_SUPPORT TRUE)
    endif()
endif()

find_package(KPim6Tnef ${KTNEF_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF6Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(
    KPim6AkonadiContactWidgets
    ${AKONADICONTACT_LIB_VERSION}
    CONFIG
    REQUIRED
)
find_package(KPim6ImportWizard ${IMPORTWIZARD_LIB_VERSION} CONFIG)
find_package(
    KPim6MailImporterAkonadi
    ${MAILIMPORTER_LIB_VERSION}
    CONFIG
    REQUIRED
)
find_package(KPim6PkPass ${KPIMPKPASS_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Itinerary ${KPIMITINERARY_LIB_VERSION} CONFIG)
set_package_properties(
                KPim6Itinerary
                PROPERTIES
		DESCRIPTION "Allow to build itinerary plugins"
                    TYPE OPTIONAL
            )

find_package(KPim6LdapWidgets ${KLDAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KF6TextTemplate CONFIG REQUIRED)

if(TARGET KPim6::PimCommonActivities)
    option(OPTION_USE_PLASMA_ACTIVITIES "Activate plasma activities" ON)
    if(OPTION_USE_PLASMA_ACTIVITIES)
        if(NOT WIN32 AND NOT APPLE)
            set(OPTION_USE_PLASMA_ACTIVITIES true)
        else()
            set(OPTION_USE_PLASMA_ACTIVITIES false)
        endif()
    endif()
    if(OPTION_USE_PLASMA_ACTIVITIES)
        if(NOT WIN32 AND NOT APPLE)
            find_package(PlasmaActivities "6.3.0")
            set_package_properties(
                PlasmaActivities
                PROPERTIES
                    DESCRIPTION "Allow to compile with plasma activities"
                    TYPE OPTIONAL
            )
        endif()

        if(TARGET Plasma::Activities)
            set(KDEPIM_ADDONS_HAVE_ACTIVITY_SUPPORT TRUE)
        endif()
    endif()
endif()

if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.41)
    set(HAVE_TEXTUTILS_SYNTAXHIGHLIGTHER_SUPPORT TRUE)
endif()

if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.48)
    set(HAVE_TEXTUTILS_QUICKSEARCH_SUPPORT TRUE)
endif()


configure_file(
    config-kdepim-addons.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/config-kdepim-addons.h
)

# For adblocker
find_package(Corrosion CONFIG)
set_package_properties(
    Corrosion
    PROPERTIES
        TYPE RECOMMENDED
        PURPOSE "Required to build the builtin adblocker"
        DESCRIPTION
            "CMake scripts to seamlessly build and link to targets using cargo"
        URL https://github.com/corrosion-rs/corrosion
)

if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif()

if(KDEPIM_ENTERPRISE_BUILD)
    set(KDEPIM_ENTERPRISE_BUILD true)
else()
    set(KDEPIM_ENTERPRISE_BUILD false)
endif()
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
# Extra package
find_package(Gpgmepp 1.23.2 CONFIG)
set_package_properties(
    Gpgmepp
    PROPERTIES
        DESCRIPTION "GpgME library"
        URL "https://www.gnupg.org"
        TYPE REQUIRED
)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)

option(KDEPIM_RUN_AKONADI_TEST "Enable autotest based on Akonadi." TRUE)
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

set(QTCREATOR_TEMPLATE_INSTALL_DIR
    ${KDE_INSTALL_DATADIR}/qtcreator/templates
    CACHE PATH
    "Define qtcreator template install path (default is /usr/share/qtcreator/templates)"
)

find_package(Discount "2" MODULE)
set_package_properties(
    "discount"
    PROPERTIES
        DESCRIPTION
            "A library that gives you formatting functions suitable for marking down entire documents or lines of text"
        URL "https://www.pell.portland.or.us/~orc/Code/discount/"
        TYPE RECOMMENDED
        PURPOSE "Generate Markdown file."
)

if(discount_FOUND)
    if(DEFINED PC_LIBMARKDOWN_VERSION)
        if(${PC_LIBMARKDOWN_VERSION} VERSION_GREATER "2.2.5")
            set(DISCOUNT_HAS_HIGHLIGHTING_SUPPORT TRUE)
            message(
                STATUS
                "Discount ${PC_LIBMARKDOWN_VERSION}: has highlighting support"
            )

            # in 3.0.0d, the signature for mkd_e_code_format changed
            if(${PC_LIBMARKDOWN_VERSION} VERSION_GREATER_EQUAL "3.0.0")
                if(${PC_LIBMARKDOWN_VERSION} MATCHES "[abc]$")
                    set(DISCOUNT_NEW_HIGHLIGHTING_SIGNATURE FALSE)
                else()
                    set(DISCOUNT_NEW_HIGHLIGHTING_SIGNATURE TRUE)
                endif()
            endif()
        endif()
    endif()
endif()

option(
    USE_UNITY_CMAKE_SUPPORT
    "Use UNITY cmake support (speedup compile time)"
    OFF
)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()

option(
    BUILD_SCAM_SETTINGS_PLUGINS
    "Build scam settings plugins (In progress)"
    OFF
)

=== debian/changelog ===
kdepim-addons (25.11.90-0ubuntu3) resolute; urgency=medium

  * Include further upstream fixes in upstream_fix-build-with-
    ktextaddons-1.8.0.patch

 -- Rik Mills <rikmills@kde.org>  Sun, 30 Nov 2025 12:47:00 +0000

kdepim-addons (25.11.90-0ubuntu2) resolute; urgency=medium

  * Add upstream_fix-build-with-ktextaddons-1.8.0.patch

 -- Rik Mills <rikmills@kde.org>  Sun, 30 Nov 2025 12:04:38 +0000

kdepim-addons (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:03:48 +0000

=== debian/control ===
Source: kdepim-addons
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: ca-certificates,
               cmake (>= 3.16~),
               dbus <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:25.11.90~),
               libakonadicalendar-dev (>= 4:25.11.90~),
               libakonadicontact-dev (>= 4:25.11.90~),
               libcalendarsupport-dev (>= 4:25.11.90~),
               libgpgmepp-dev (>= 1.23.2~),
               libgrantleetheme-dev (>= 25.11.90~),
               libgravatar-dev (>= 4:25.11.90~),
               libincidenceeditor-dev (>= 25.11.90~),
               libkaddressbook-dev (>= 4:25.11.90~),
               libkcalendarutils-dev (>= 4:25.11.90~),
               libkdepim-dev (>= 4:25.11.90~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6colorscheme-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6configwidgets-dev (>= 6.6.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6declarative-dev (>= 6.6.0~),
               libkf6guiaddons-dev (>= 6.6.0~),
               libkf6holidays-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6kcmutils-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6parts-dev (>= 6.6.0~),
               libkf6prison-dev (>= 6.6.0~),
               libkf6syntaxhighlighting-dev (>= 6.6.0~),
               libkf6texttemplate-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 25.11.90~),
               libkimap-dev (>= 25.11.90~),
               libkitinerary-dev (>= 25.11.90~),
               libkldap-dev (>= 25.11.90~),
               libkleo-dev (>= 4:25.11.90~),
               libkmailtransport-dev (>= 25.11.90~),
               libkmime-dev (>= 25.11.90~),
               libkpimimportwizard-dev (>= 4:25.11.90~),
               libkpimtextedit-dev (>= 25.11.90~),
               libkpkpass-dev (>= 25.11.90~),
               libksieve-dev (>= 4:25.11.90~),
               libktextaddons-dev (>= 1.5.4~),
               libktnef-dev (>= 4:25.11.90~),
               libmailcommon-dev (>= 4:25.11.90~),
               libmailimporter-dev (>= 4:25.11.90~),
               libmarkdown2-dev (>= 2.2.5~),
               libpimcommon-dev (>= 4:25.11.90~),
               libplasmaactivities-dev (>= 6.1.0~),
               messagelib-dev (>= 4:25.11.90~),
               qml6-module-org-kde-kcmutils,
               qt6-base-dev (>= 6.7.0~),
               qt6-webengine-dev (>= 6.7.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/kdepim-addons
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-addons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-addons
Rules-Requires-Root: no

Package: kdepim-addons
Architecture: amd64 arm64 armhf
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Addons for KDE PIM applications
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package includes a collection of extensions for the Personal Information
 Management (PIM) desktop applications provided with the official release of
 KDE Applications.

## kdepim-addons 25.12.0

=== debian/changelog ===
kdepim-addons (25.12.0-0ubuntu1) resolute; urgency=medium

  * Drop included upstream_fix-build-with-ktextaddons-1.8.0.patch
  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:19:32 +0000

=== debian/control ===
--- 
+++ 
@@ -12,17 +12,17 @@
                dh-sequence-qmldeps,
                extra-cmake-modules (>= 6.6.0~),
                gettext,
-               libakonadi-dev (>= 4:25.11.90~),
-               libakonadicalendar-dev (>= 4:25.11.90~),
-               libakonadicontact-dev (>= 4:25.11.90~),
-               libcalendarsupport-dev (>= 4:25.11.90~),
+               libakonadi-dev (>= 4:25.12.0~),
+               libakonadicalendar-dev (>= 4:25.12.0~),
+               libakonadicontact-dev (>= 4:25.12.0~),
+               libcalendarsupport-dev (>= 4:25.12.0~),
                libgpgmepp-dev (>= 1.23.2~),
-               libgrantleetheme-dev (>= 25.11.90~),
-               libgravatar-dev (>= 4:25.11.90~),
-               libincidenceeditor-dev (>= 25.11.90~),
-               libkaddressbook-dev (>= 4:25.11.90~),
-               libkcalendarutils-dev (>= 4:25.11.90~),
-               libkdepim-dev (>= 4:25.11.90~),
+               libgrantleetheme-dev (>= 25.12.0~),
+               libgravatar-dev (>= 4:25.12.0~),
+               libincidenceeditor-dev (>= 25.12.0~),
+               libkaddressbook-dev (>= 4:25.12.0~),
+               libkcalendarutils-dev (>= 4:25.12.0~),
+               libkdepim-dev (>= 4:25.12.0~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6colorscheme-dev (>= 6.6.0~),
                libkf6config-dev (>= 6.6.0~),
@@ -41,25 +41,25 @@
                libkf6syntaxhighlighting-dev (>= 6.6.0~),
                libkf6texttemplate-dev (>= 6.3.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.11.90~),
-               libkimap-dev (>= 25.11.90~),
-               libkitinerary-dev (>= 25.11.90~),
-               libkldap-dev (>= 25.11.90~),
-               libkleo-dev (>= 4:25.11.90~),
-               libkmailtransport-dev (>= 25.11.90~),
-               libkmime-dev (>= 25.11.90~),
-               libkpimimportwizard-dev (>= 4:25.11.90~),
-               libkpimtextedit-dev (>= 25.11.90~),
-               libkpkpass-dev (>= 25.11.90~),
-               libksieve-dev (>= 4:25.11.90~),
+               libkidentitymanagement-dev (>= 25.12.0~),
+               libkimap-dev (>= 25.12.0~),
+               libkitinerary-dev (>= 25.12.0~),
+               libkldap-dev (>= 25.12.0~),
+               libkleo-dev (>= 4:25.12.0~),
+               libkmailtransport-dev (>= 25.12.0~),
+               libkmime-dev (>= 25.12.0~),
+               libkpimimportwizard-dev (>= 4:25.12.0~),
+               libkpimtextedit-dev (>= 25.12.0~),
+               libkpkpass-dev (>= 25.12.0~),
+               libksieve-dev (>= 4:25.12.0~),
                libktextaddons-dev (>= 1.5.4~),
-               libktnef-dev (>= 4:25.11.90~),
-               libmailcommon-dev (>= 4:25.11.90~),
-               libmailimporter-dev (>= 4:25.11.90~),
+               libktnef-dev (>= 4:25.12.0~),
+               libmailcommon-dev (>= 4:25.12.0~),
+               libmailimporter-dev (>= 4:25.12.0~),
                libmarkdown2-dev (>= 2.2.5~),
-               libpimcommon-dev (>= 4:25.11.90~),
+               libpimcommon-dev (>= 4:25.12.0~),
                libplasmaactivities-dev (>= 6.1.0~),
-               messagelib-dev (>= 4:25.11.90~),
+               messagelib-dev (>= 4:25.12.0~),
                qml6-module-org-kde-kcmutils,
                qt6-base-dev (>= 6.7.0~),
                qt6-webengine-dev (>= 6.7.0~),

## kdepim-addons 25.12.0+p24.04+vstable+git20251231.0608

=== debian/changelog ===
kdepim-addons (25.12.0+p24.04+vstable+git20251231.0608-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 06:08:08 +0000

kdepim-addons (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:39:58 +1000

## kdepim-addons 25.12.0+p24.04+vstable+git20260105.1154

=== debian/changelog ===
kdepim-addons (25.12.0+p24.04+vstable+git20260105.1154-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 11:54:38 +0000

## kdepim-addons 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.90")
+set(PIM_VERSION "6.6.1")
 
 project(kdepim-addons VERSION ${PIM_VERSION})
 
@@ -15,7 +15,7 @@
     ${ECM_MODULE_PATH}
 )
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION rc)
+set(KDEPIM_DEV_VERSION )
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -120,31 +120,31 @@
     find_package(KF6KCMUtils ${KF_MIN_VERSION} CONFIG REQUIRED)
 endif()
 
-set(MAILCOMMON_LIB_VERSION "6.5.90")
-set(GRAVATAR_LIB_VERSION "6.5.90")
-set(PIMCOMMON_LIB_VERSION "6.5.90")
-set(GRANTLEETHEME_LIB_VERSION "6.5.90")
-set(CALENDARSUPPORT_LIB_VERSION "6.5.90")
-set(LIBKDEPIM_LIB_VERSION "6.5.90")
-set(KADDRESSBOOK_IMPORTEXPORT_LIB_VERSION "6.5.90")
-set(LIBKLEO_LIB_VERSION "6.5.90")
-set(AKONADI_LIB_VERSION "6.5.90")
-set(INCIDENCEEDITOR_LIB_VERSION "6.5.90")
-set(KTNEF_LIB_VERSION "6.5.90")
-set(MESSAGELIB_LIB_VERSION "6.5.90")
-set(AKONADICALENDAR_LIB_VERSION "6.5.90")
-set(CALENDAR_UTILS_VERSION "6.5.90")
-set(KPIMTEXTEDIT_LIB_VERSION "6.5.90")
-set(KIMAP_LIB_VERSION "6.5.90")
-set(LIBKSIEVE_LIB_VERSION "6.5.90")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.90")
-set(AKONADICONTACT_LIB_VERSION "6.5.90")
-set(IMPORTWIZARD_LIB_VERSION "6.5.90")
-set(MAILIMPORTER_LIB_VERSION "6.5.90")
-set(KPIMPKPASS_LIB_VERSION "6.5.90")
-set(KPIMITINERARY_LIB_VERSION "6.5.90")
-set(KPIM_MIME_VERSION "6.5.90")
-set(KLDAP_LIB_VERSION "6.5.90")
+set(MAILCOMMON_LIB_VERSION "6.6.1")
+set(GRAVATAR_LIB_VERSION "6.6.1")
+set(PIMCOMMON_LIB_VERSION "6.6.1")
+set(GRANTLEETHEME_LIB_VERSION "6.6.1")
+set(CALENDARSUPPORT_LIB_VERSION "6.6.1")
+set(LIBKDEPIM_LIB_VERSION "6.6.1")
+set(KADDRESSBOOK_IMPORTEXPORT_LIB_VERSION "6.6.1")
+set(LIBKLEO_LIB_VERSION "6.6.1")
+set(AKONADI_LIB_VERSION "6.6.1")
+set(INCIDENCEEDITOR_LIB_VERSION "6.6.1")
+set(KTNEF_LIB_VERSION "6.6.1")
+set(MESSAGELIB_LIB_VERSION "6.6.1")
+set(AKONADICALENDAR_LIB_VERSION "6.6.1")
+set(CALENDAR_UTILS_VERSION "6.6.1")
+set(KPIMTEXTEDIT_LIB_VERSION "6.6.1")
+set(KIMAP_LIB_VERSION "6.6.1")
+set(LIBKSIEVE_LIB_VERSION "6.6.1")
+set(KMAILTRANSPORT_LIB_VERSION "6.6.1")
+set(AKONADICONTACT_LIB_VERSION "6.6.1")
+set(IMPORTWIZARD_LIB_VERSION "6.6.1")
+set(MAILIMPORTER_LIB_VERSION "6.6.1")
+set(KPIMPKPASS_LIB_VERSION "6.6.1")
+set(KPIMITINERARY_LIB_VERSION "6.6.1")
+set(KPIM_MIME_VERSION "6.6.1")
+set(KLDAP_LIB_VERSION "6.6.1")
 
 find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
 find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -381,3 +381,4 @@
     OFF
 )
 
+add_subdirectory(plugins)

=== plugins/webengineurlinterceptor/adblock/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2015-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_custom_target(
    adblock
    SOURCES
        rs/adblock/Cargo.toml
        rs/adblock/build.rs
        rs/adblock/src/lib.rs
        rs/adblock/src/adblock.rs
        rs/adblock/src/domainresolver.rs
        rs/adblock/src/logging.rs
)

corrosion_import_crate(MANIFEST_PATH ${CMAKE_CURRENT_SOURCE_DIR}/rs/adblock/Cargo.toml)

add_library(adblockplugin)

if(Corrosion_VERSION VERSION_LESS 0.6.0)
    set(corrosion_build_dir "build")
else()
    string(SHA1 cargo_path_hash ${CMAKE_CURRENT_SOURCE_DIR}/rs/adblock/Cargo.toml)
    string(SUBSTRING "${cargo_path_hash}" 0 5 cargo_path_hash)
    set(corrosion_build_dir "adblock_${cargo_path_hash}")
endif()

target_include_directories(
    adblockplugin
    PRIVATE
        ${CMAKE_BINARY_DIR}/cargo/${corrosion_build_dir}/${Rust_CARGO_TARGET}/cxxbridge/webengineviewer-adblock/src/
)

target_sources(
    adblockplugin
    PRIVATE
        adblockfilterlistsmodel.h
        adblockfilterlistsmodel.cpp
        adblockfilter.h
        adblockfilter.cpp
        adblockpluginurlinterceptorconfiguredialog.cpp
        adblockpluginurlinterceptorconfiguredialog.h
        adblockpluginurlinterceptorconfigurewidget.cpp
        adblockpluginurlinterceptorconfigurewidget.h
        adblockfiltertreeview.h
        adblockfiltertreeview.cpp
        adblockfilterdialog.h
        adblockfilterdialog.cpp
        adblockfilterwidget.h
        adblockfilterwidget.cpp
        adblockmanager.h
        adblockmanager.cpp
        adblocklistsmanager.h
        adblocklistsmanager.cpp
        adblockpluginurlinterceptoraddadblocklistdialog.h
        adblockpluginurlinterceptoraddadblocklistdialog.cpp
        adblockpluginurlinterceptoraddadblocklistwidget.h
        adblockpluginurlinterceptoraddadblocklistwidget.cpp
        adblockplugin_private_export.h
        adblocklistsutil.h
        adblocklistsutil.cpp
        adblockviewfilterdialog.h
        adblockviewfilterdialog.cpp
        adblockviewfilterwidget.h
        adblockviewfilterwidget.cpp
)

kconfig_add_kcfg_files(adblockplugin
    settings/globalsettings_webengineurlinterceptoradblock.kcfgc
)

ecm_qt_declare_logging_category(adblockplugin HEADER libadblockplugin_debug.h IDENTIFIER LIBADBLOCKPLUGIN_PLUGIN_LOG
    CATEGORY_NAME org.kde.pim.libadblockplugin
    DESCRIPTION "kdepim-addons (adblockplugin lib)"
    EXPORT KDEPIMADDONS
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(adblockplugin PROPERTIES UNITY_BUILD ON)
endif()

generate_export_header(adblockplugin BASE_NAME libadblockplugin)
target_link_libraries(
    adblockplugin
    KF6::I18n
    Qt::WebEngineWidgets
    KPim6::WebEngineViewer
    KF6::TextCustomEditor
)
if(Corrosion_VERSION VERSION_LESS 0.5.0)
    target_link_libraries(adblockplugin webengineviewer-adblock)
else()
    target_link_libraries(adblockplugin webengineviewer_adblock)
endif()

set_target_properties(
    adblockplugin
    PROPERTIES
        OUTPUT_NAME adblockplugin
        VERSION ${KDEPIMADDONS_LIB_VERSION}
        SOVERSION ${KDEPIMADDONS_LIB_SOVERSION}
)

install(
    TARGETS adblockplugin ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
    LIBRARY NAMELINK_SKIP
)

kcoreaddons_add_plugin(webengineviewer_adblockplugin INSTALL_NAMESPACE pim6/webengineviewer/urlinterceptor)
target_sources(
    webengineviewer_adblockplugin
    PRIVATE
        adblockinterceptorinterface.cpp
        adblockinterceptorinterface.h
        adblockpluginurlinterceptor.cpp
        adblockpluginurlinterceptor.h
)

ecm_qt_declare_logging_category(webengineviewer_adblockplugin HEADER adblockinterceptor_debug.h IDENTIFIER ADBLOCKINTERCEPTOR_LOG CATEGORY_NAME org.kde.pim.adblockinterceptor
    DESCRIPTION "kdepim-addons (adblock interceptor)"
    OLD_CATEGORY_NAMES log_adblockinterceptor
    EXPORT KDEPIMADDONS
)

target_link_libraries(
    webengineviewer_adblockplugin
    KPim6::MessageViewer
    KF6::I18n
    Qt::WebEngineWidgets
    KPim6::WebEngineViewer
    adblockplugin
)
target_include_directories(
    webengineviewer_adblockplugin
    PRIVATE
        ${CMAKE_BINARY_DIR}/cargo/${corrosion_build_dir}/${Rust_CARGO_TARGET}/cxxbridge/webengineviewer-adblock/src/
)

if(BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()

=== debian/changelog ===
kdepim-addons (25.12.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 20 Jan 2026 21:37:34 +0100

kdepim-addons (25.12.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 13 Jan 2026 12:51:07 +0100

=== debian/control ===
Source: kdepim-addons
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               ca-certificates,
               cargo,
               cmake (>= 3.16~),
               corrosion,
               dbus-daemon <!nocheck>,
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libakonadi-dev (>= 4:25.12.1~),
               libakonadicalendar-dev (>= 4:25.12.1~),
               libakonadicontact-dev (>= 4:25.12.1~),
               libcalendarsupport-dev (>= 4:25.12.1~),
               libgpgmepp-dev (>= 1.23.2~),
               libgrantleetheme-dev (>= 25.12.1~),
               libgravatar-dev (>= 4:25.12.1~),
               libincidenceeditor-dev (>= 25.12.1~),
               libkaddressbook-dev (>= 4:25.12.1~),
               libkcalendarutils-dev (>= 4:25.12.1~),
               libkdepim-dev (>= 4:25.12.1~),
               libkf6calendarcore-dev (>= 6.18.0~),
               libkf6colorscheme-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6configwidgets-dev (>= 6.18.0~),
               libkf6contacts-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6declarative-dev (>= 6.18.0~),
               libkf6guiaddons-dev (>= 6.18.0~),
               libkf6holidays-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6iconthemes-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6parts-dev (>= 6.18.0~),
               libkf6prison-dev (>= 6.18.0~),
               libkf6syntaxhighlighting-dev (>= 6.18.0~),
               libkf6texttemplate-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               libkidentitymanagement-dev (>= 24.12.2~),
               libkimap-dev (>= 25.12.1~),
               libkitinerary-dev (>= 25.12.1~),
               libkldap-dev (>= 25.12.1~),
               libkleo-dev (>= 4:25.12.1~),
               libkmailtransport-dev (>= 25.12.1~),
               libkmime-dev (>= 25.12.1~),
               libkpimimportwizard-dev (>= 4:25.12.1~),
               libkpimtextedit-dev (>= 25.12.1~),
               libkpkpass-dev (>= 25.12.1~),
               libksieve-dev (>= 4:25.12.1~),
               libktextaddons-dev (>= 1.8.0~),
               libktnef-dev (>= 4:25.12.1~),
               libmailcommon-dev (>= 4:25.12.1~),
               libmailimporter-dev (>= 4:25.12.1~),
               libmarkdown2-dev (>= 2.2.5~),
               libpimcommon-dev (>= 4:25.12.1~),
               libplasmaactivities-dev (>= 6.3.0~),
               librust-adblock-dev,
               librust-cxx-build-dev,
               librust-cxx-dev,
               messagelib-dev (>= 4:25.12.1~),
               qml6-module-org-kde-kcmutils,
               qt6-base-dev (>= 6.8.0~),
               qt6-webengine-dev (>= 6.8.0~),
               rustc,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/pim/kdepim-addons
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdepim-addons
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdepim-addons.git
Rules-Requires-Root: no

Package: kdepim-addons
Architecture: amd64 arm64 armhf
Multi-Arch: same
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Addons for KDE PIM applications
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package includes a collection of extensions for the Personal Information
 Management (PIM) desktop applications provided with the official release of
 KDE Applications.

## kdepim-addons 25.12.1+p24.04+vstable+git20260201.0237

=== debian/changelog ===
kdepim-addons (25.12.1+p24.04+vstable+git20260201.0237-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 02:37:08 +0000

kdepim-addons (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:30:26 +1000

## kdepim-addons 25.12.1+p24.04+vstable+git20260205.0738

=== debian/changelog ===
kdepim-addons (25.12.1+p24.04+vstable+git20260205.0738-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:38:22 +0000

## kdepim-addons 25.12.2

=== debian/changelog ===
kdepim-addons (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Feb 2026 16:39:44 +0000

kdepim-addons (25.12.1-0ubuntu3) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:52:30 +0000

kdepim-addons (25.12.1-0ubuntu2) resolute; urgency=medium

  * Add amd64v3 to build architectures.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Jan 2026 11:37:34 +0000

kdepim-addons (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:02:08 +0000

=== debian/control ===
Source: kdepim-addons
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: ca-certificates,
               cmake (>= 3.16~),
               dbus <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:25.12.2~),
               libakonadicalendar-dev (>= 4:25.12.2~),
               libakonadicontact-dev (>= 4:25.12.2~),
               libcalendarsupport-dev (>= 4:25.12.2~),
               libgpgmepp-dev (>= 1.23.2~),
               libgrantleetheme-dev (>= 25.12.2~),
               libgravatar-dev (>= 4:25.12.2~),
               libincidenceeditor-dev (>= 25.12.2~),
               libkaddressbook-dev (>= 4:25.12.2~),
               libkcalendarutils-dev (>= 4:25.12.2~),
               libkdepim-dev (>= 4:25.12.2~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6colorscheme-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6configwidgets-dev (>= 6.6.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6declarative-dev (>= 6.6.0~),
               libkf6guiaddons-dev (>= 6.6.0~),
               libkf6holidays-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6kcmutils-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6parts-dev (>= 6.6.0~),
               libkf6prison-dev (>= 6.6.0~),
               libkf6syntaxhighlighting-dev (>= 6.6.0~),
               libkf6texttemplate-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 25.12.2~),
               libkimap-dev (>= 25.12.2~),
               libkitinerary-dev (>= 25.12.2~),
               libkldap-dev (>= 25.12.2~),
               libkleo-dev (>= 4:25.12.2~),
               libkmailtransport-dev (>= 25.12.2~),
               libkmime-dev (>= 25.12.2~),
               libkpimimportwizard-dev (>= 4:25.12.2~),
               libkpimtextedit-dev (>= 25.12.2~),
               libkpkpass-dev (>= 25.12.2~),
               libksieve-dev (>= 4:25.12.2~),
               libktextaddons-dev (>= 1.5.4~),
               libktnef-dev (>= 4:25.12.2~),
               libmailcommon-dev (>= 4:25.12.2~),
               libmailimporter-dev (>= 4:25.12.2~),
               libmarkdown2-dev (>= 2.2.5~),
               libpimcommon-dev (>= 4:25.12.2~),
               libplasmaactivities-dev (>= 6.1.0~),
               messagelib-dev (>= 4:25.12.2~),
               qml6-module-org-kde-kcmutils,
               qt6-base-dev (>= 6.7.0~),
               qt6-webengine-dev (>= 6.7.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/kdepim-addons
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-addons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-addons
Rules-Requires-Root: no

Package: kdepim-addons
Architecture: amd64 amd64v3 arm64 armhf
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Addons for KDE PIM applications
 KDE (the K Desktop Environment) is a powerful Open Source graphical
 desktop environment for Unix workstations. It combines ease of use,
 contemporary functionality, and outstanding graphical design with the
 technological superiority of the Unix operating system.
 .
 This package includes a collection of extensions for the Personal Information
 Management (PIM) desktop applications provided with the official release of
 KDE Applications.
